<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ssm.manage.mapper.PromotionProjectMapper">
  <resultMap id="BaseResultMap" type="com.ssm.manage.entity.PromotionProject">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="store_id" jdbcType="BIGINT" property="storeId" />
    <result column="store_name" jdbcType="VARCHAR" property="storeName" />
    <result column="project_id" jdbcType="BIGINT" property="projectId" />
    <result column="project_num" jdbcType="VARCHAR" property="projectNum" />
    <result column="project_name" jdbcType="VARCHAR" property="projectName" />
    <result column="price_member" jdbcType="DECIMAL" property="priceMember" />
    <result column="times" jdbcType="INTEGER" property="times" />
    <result column="project_total_money" jdbcType="DECIMAL" property="projectTotalMoney" />
    <result column="standard_times" jdbcType="INTEGER" property="standardTimes" />
    <result column="standard_money" jdbcType="DECIMAL" property="standardMoney" />
    <result column="promotion_id" jdbcType="BIGINT" property="promotionId" />
    <result column="promotion_num" jdbcType="VARCHAR" property="promotionNum" />
    <result column="promotion_name" jdbcType="VARCHAR" property="promotionName" />
    <result column="type" jdbcType="INTEGER" property="type" />
    <result column="required" jdbcType="INTEGER" property="required" />
  </resultMap>
    <delete id="deleteByPromotionId">
      delete from promotion_project where promotion_id = #{promotionId}
    </delete>
</mapper>